/*+-----------------------------------------------------------------------
	esd.h -- support header for users of esdutil.c
	wht@n4hgf.Mt-Park.GA.US
------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:08-29-1991-02:02-wht@n4hgf2-larger max string size for sun and SVR4 */
/*:07-25-1991-12:57-wht@n4hgf-ECU release 3.10 */
/*:04-24-1991-18:49-wht@n4hgf-add ESD_MAXSIZE */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

#if defined(sun) || defined(SVR4)
#define ESD_MAXSIZE 10240
#else
#define ESD_MAXSIZE 5120
#endif

typedef struct esd
{
	char *pb;			/* pointer to string buffer */
	short cb;			/* count of bytes */
	short maxcb;		/* maximum bytes allowed */
	short index;		/* next character of significance */
	short old_index;	/* last token (backup or error reporting) */
}	ESD;

typedef struct keyword_table_type /* table terminated with null key_word */
{
	char *key_word;		/* 12 char max key word */
	int key_token;		/* token returned on match */
} KEYTAB;

ESD *esdalloc();

/* vi: set tabstop=4 shiftwidth=4: */
/* end of esd.h */
