/*+-------------------------------------------------------------------------
	termecu.h -- termecu (exit()) codes
	wht@n4hgf.Mt-Park.GA.US

  1 - 64    reserved for signals
  193 - 223 reserved for procedure 'exit' codes
--------------------------------------------------------------------------*/
/*+:EDITS:*/
/*:07-25-1991-12:59-wht@n4hgf-ECU release 3.10 */
/*:08-14-1990-20:40-wht@n4hgf-ecu3.00-flush old edit history */

#define TERMECU_OK					0
#define TERMECU_SIG1				1
#define TERMECU_SIGN				64
#define TERMECU_LINE_READ_ERROR		129
#define TERMECU_XMTR_WRITE_ERROR	130
#define TERMECU_XMTR_FATAL_ERROR	131
#define TERMECU_BSD4_IOCTL			132
#define TERMECU_SHM_ABL				133
#define TERMECU_SHM_RTL				134
#define TERMECU_NO_FORK_FOR_RCVR	135
#define TERMECU_TTYIN_READ_ERROR	136
#define TERMECU_LINE_OPEN_ERROR		137
#define TERMECU_PWENT_ERROR			138
#define TERMECU_USAGE				139
#define TERMECU_CONFIG_ERROR		140
#define TERMECU_CURSES_ERROR		141
#define TERMECU_RCVR_FATAL_ERROR	142
#define TERMECU_MALLOC				143

#define TERMECU_INIT_PROC_ERROR		192

#define TERMECU_USER1				193
#define TERMECU_USERN				223

/* vi: set tabstop=4 shiftwidth=4: */
/* end of termecu.h */
